Bug 141844 - zip file (extfs vfs) view/extract/delete problem
zip file (extfs vfs) view/extract/delete problem
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-12-03 19:04 EST by Doncho N. Gunchev
Modified: 2013-07-02 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-16 08:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
p.zip - the test file (29.44 KB, application/zip)
2004-12-03 19:06 EST, Doncho N. Gunchev
no flags Details

  None (edit)
Description Doncho N. Gunchev 2004-12-03 19:04:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
    Viewing files from: http://www.xs4all.nl/~bsarempt/python/p.zip
fails with 'caution: filename not matched:  edit.html' for example.
The problem seems to be that all files inside are stored with './'
infront of the name. I was not able to create such archive with zip,
I did not try too hard however, but repacking the file fixes the
problem. Adding files to the archive works and they can be viewed,
extracted and deleted afterwards. I tested it with mc-4.6.0-17.fc1
(Fedora Core 1) and mc-4.6.1-0.11 (from Fedora Core 3).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. download http://www.xs4all.nl/~bsarempt/python/p.zip
2. open it with mc
3. try to do anything with the files inside (view/copy/delete)

Actual Results:  'caution: filename not matched:  edit.html'

Additional info:

    I reported this problem to mc-devel too and the report is here:
    This can be related to bug #127973.
Comment 1 Doncho N. Gunchev 2004-12-03 19:06:51 EST
Created attachment 107874 [details]
p.zip - the test file

I attach the test file here in case the original disappears.
Comment 2 Jindrich Novy 2004-12-06 04:18:24 EST
Hello Doncho,

it seems this was successfully fixed by Roland in upstream:

Does it work for you?
Comment 3 Doncho N. Gunchev 2004-12-07 03:26:16 EST
    I tested mc-4.6.1-0.11.src.rpm with Roland's uzip.patch and it
works partially - view, edit and extract is fine, but delete fails
(ex: 'zip warning: name not matched: ./edit2.html'). If first edited
and saved, which changes the name from './something' to 'something'
the file can be deleted.
Comment 4 Doncho N. Gunchev 2004-12-08 05:02:49 EST
    As noted by Roland Illig in mc-devel infozip removes the './' part
of the name. The workaround he found is to use '[.]/' instead (he also
posted a patch/workaround). Maybe this part should be moved to
infozip's bugs?
Comment 5 Jindrich Novy 2004-12-08 05:51:56 EST
Probably yes, but note that infozip is not a part of RH distros. If
it's a bug of zip, don't hesitate to file a bugreport against zip.
Comment 6 Doncho N. Gunchev 2004-12-08 06:36:54 EST
rpm -qi zip
URL: http://www.info-zip.org/pub/infozip/Zip.html
Looking at source0's license says:
'This is version 1999-Oct-05 of the Info-ZIP copyright and license.'
Filled bug # 142237.
Comment 8 Jindrich Novy 2004-12-16 08:57:13 EST
A CVS snapshot with a fix of this is now a part of mc-4.6.1a-0.2.

Note You need to log in before you can comment on or make changes to this bug.